curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"resource": "link-stats-row",
"period": "2026-10-21",
"periodStart": "2026-10-20T22:00:00Z",
"periodEnd": "2026-10-21T22:00:00Z",
"redemptionLinkId": null,
"redemptionLinkName": null,
"visits": 120,
"otpRequested": 60,
"otpVerified": 52,
"redemptions": 40,
"conversionRatePercent": 33.33
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Get redemption link funnel statistics
Landing visits, OTP requests, verifications, redemptions and conversion per period, optionally per link. Spans: at most 92 days or 36 months. Statistics use your partner time zone and are eventually consistent (up to 2 minutes). See Analytics.
Required permissions: view-consumer-analytics · API keys: allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/analytics/link-stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"resource": "link-stats-row",
"period": "2026-10-21",
"periodStart": "2026-10-20T22:00:00Z",
"periodEnd": "2026-10-21T22:00:00Z",
"redemptionLinkId": null,
"redemptionLinkName": null,
"visits": 120,
"otpRequested": 60,
"otpVerified": 52,
"redemptions": 40,
"conversionRatePercent": 33.33
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Query Parameters
month or day (default day).
month, day none (default) or redemption-link.
none, redemption-link Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100000Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100One sort field; prefix - for descending (sort=field or sort=-field). Allowed: period, redemptions, visits. Default period. The server appends id as a tie-breaker.
"period"
Period YYYY-MM (month granularity) or YYYY-MM-DD (day granularity). (greater than or equal).
Period YYYY-MM (month granularity) or YYYY-MM-DD (day granularity). (greater than).
Period YYYY-MM (month granularity) or YYYY-MM-DD (day granularity). (less than or equal).
Period YYYY-MM (month granularity) or YYYY-MM-DD (day granularity). (less than).
Redemption Link id (equals).
x >= 0Redemption Link id (one of (comma-separated)). Comma-separated values.
Response
OK
Page envelope of LinkStatsRow items.
The page.
Show child attributes
Show child attributes